# Uses of Class
com.databricks.jdbc.common.util.InsertStatementParser.InsertInfo

Packages that use InsertStatementParser.InsertInfo
Package
Description
com.databricks.jdbc.common.util

## Uses of InsertStatementParser.InsertInfo in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return InsertStatementParser.InsertInfo
Modifier and Type
Method
Description
`static InsertStatementParser.InsertInfo`
InsertStatementParser.`parseInsert(String sql)`
Parses an INSERT statement to extract table and column information.
`static InsertStatementParser.InsertInfo`
InsertStatementParser.`parseInsertStrict(String sql)`
Parses an INSERT statement to extract table and column information with strict error handling.
Methods in com.databricks.jdbc.common.util with parameters of type InsertStatementParser.InsertInfo
Modifier and Type
Method
Description
`static String`
InsertStatementParser.`generateMultiRowInsert(InsertStatementParser.InsertInfo insertInfo, int numberOfRows)`
Generates a multi-row INSERT statement from the template and number of rows.
`boolean`
InsertStatementParser.InsertInfo.`isCompatibleWith(InsertStatementParser.InsertInfo other)`
Checks if this INSERT is compatible with another INSERT for batching.